
/*------------------------------------*\
    #COMPONENT.READSPEAKER
\*------------------------------------*/
/**
 * Readspeaker integration
 *
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}readspeaker,
%#{$inuit-namespace}readspeaker {
    margin-bottom: rem-calc(10px);
}

.#{$inuit-namespace}readspeaker__image,
%#{$inuit-namespace}readspeaker__image {
    max-width: rem-calc(16px) !important;
}

/**** Readspeaker changes by Stefan Bublies@dt-internet.de ****/

.rsbtn .rsimg,
#rslightbox_logo.rsimg,
.rsbtn a.rsimg {
    background: transparent url(../Images/Readspeaker/rs_button.png) no-repeat scroll 0 0 !important;
}

.rsbtn .rspart {
    position: relative;
    float: left;
    height: 26px;
}

.rsbtn .rsbtn_right.rsimg,
.rsbtn .rsbtn_pause {
    width: 42px !important;
    background-position: 0px -26px !important;
}

.rsbtn {
    z-index: 0 !important;
}

.rsbtn .rsbtn_left .rsbtn_text {
    font-family: "Lucida Grande","Lucida Sans","Lucida",sans-serif;
    font-size: 12px;
    font-weight: normal;
    font-style: normal;
    line-height: 16px;
    margin: 5px 10px;
    padding-left: 20px;
    background: transparent url(../Images/Readspeaker/icon_16px.gif) no-repeat scroll 0 0 !important;
}

.rsbtn .rsbtn_dl.rsimg {
    background-position: 0 -258px !important;
}

.rsbtn .rsbtn_settings.rsimg {
    background-position: 0 -238px !important;
}

.rsbtn .rsbtn_settings.rsimg,
.rsbtn .rsbtn_dl.rsimg {
    width: 20px !important;
    height: 20px !important;
    margin-top: 3px !important;
}

.rsbtn .rsbtn_closer.rsimg {
    width: 27px !important;
    background-position: 0 -156px !important;
}

.rsbtn .rsbtn_progress_container.rsloading {
    background: transparent url(../Images/Readspeaker/timeline-anim.gif) repeat-x scroll 0 0 !important;
}

.rsbtn .rsbtn_volume.rsimg {
    position: relative;
    width: 20px;
    height: 20px;
    background-position: 0 -218px !important;
    margin-top: 3px;
    margin-right: 2px;
}

.rsbtn .rsbtn_progress_container .rsbtn_progress_handle.rsimg {
    position: absolute;
    left: -11px;
    top: -7px;
    width: 20px;
    height: 24px;
    background-position: 0 -183px !important;
}

.rsbtn .rsbtn_stop.rsimg {
    left: -5px;
    margin-right: -5px;
    width: 42px;
    background-position: 0 -104px !important;
}

.rsbtn.rsexpanded .rsbtn_pause {
    background-position: 0 -78px !important;
}

.rsbtn.rsexpanded.rs-no-touch .rsbtn_stop.rsimg:hover,
.rsbtn.rsexpanded.rs-no-touch .rsbtn_stop.rsimg.rsfocus {
    background-position: -42px -104px !important;
}

.rsbtn.rs-no-touch .rsbtn_progress_container .rsbtn_progress_handle.rsimg:hover,
.rsbtn.rs-no-touch .rsbtn_progress_container .rsbtn_progress_handle.rsimg.rsfocus {
    background-position: -20px -183px !important;
}

.rsbtn.rsexpanded.rs-no-touch .rsbtn_pause.rsimg:hover,
.rsbtn.rsexpanded.rs-no-touch .rsbtn_pause.rsimg.rsfocus {
    background-position: -42px -78px !important;
}

.rsbtn a:hover .rsbtn_right,
.rsbtn.rsfocus .rsbtn_right.rsimg {
    background-position: -42px -26px !important;
}

.rsbtn.rsexpanded.rsstopped .rsbtn_pause,
.rsbtn.rsexpanded.rspaused .rsbtn_pause {
    background-position: 0 -280px !important;
}

.rsbtn.rsexpanded.rsstopped.rs-no-touch .rsbtn_pause:hover,
.rsbtn.rsexpanded.rspaused.rs-no-touch .rsbtn_pause:hover,
.rsbtn.rsexpanded.rsstopped.rs-no-touch .rsbtn_pause.rsfocus,
.rsbtn.rsexpanded.rspaused.rs-no-touch .rsbtn_pause.rsfocus,
.pre-expanded.rsexpanded.rsstopped .rsbtn_pause:hover {
    background-position: -42px -280px !important;
}
